Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.saxonica.stream.feed
Interface FeedMaker

All Known Implementing Classes:
  EventFeedMaker, ItemFeedMaker

    public interface FeedMaker

An expression that can be evaluated in streaming mode is represented at compile time by a list of FeedMaker objects. At run-time, the makeFeed() method on each of these objects is called to create a list of Feed objects, representing the evaluation pipeline. The output of the Watch that monitors the actual parsing events is then fed into this pipeline, which eventually delivers its result in the current SequenceReceiver of the XPathContext object.

Method Summary
`Feed` | `makeEventFeed(WatchManager watchManager, Feed out, Stack<XPathContext> contextStack)`
`Feed` | `makeItemFeed(WatchManager watchManager, Feed out, Stack<XPathContext> contextStack)`

Method Detail

### makeEventFeed

    Feed makeEventFeed(WatchManager watchManager,
                       Feed out,
                       Stack<XPathContext> contextStack)
                       throws XPathException

  Throws:
    `XPathException`

### makeItemFeed

    Feed makeItemFeed(WatchManager watchManager,
                      Feed out,
                      Stack<XPathContext> contextStack)
                      throws XPathException

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.